Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005162OCaml-for ocamlbuild use https://github.com/ocaml/ocamlbuild/issuespublic2010-10-05 01:292010-10-07 09:06
Reporteryziquel 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version 
Summary0005162: ocamlbuild path with INCLUDE camlp4.macro
DescriptionI've been trying recently to use the INCLUDE macro from camlp4.macro with ocamlbuild -use-ocamlfind. The problem is that it seems that ocamlbuild is executed in a different path than the current directory.

INCLUDE "myfile.ml" fails miserably.

INCLUDE "/full/path/to/myfile.ml" works like a charm, but is, well, quite ugly.
TagsNo tags attached.
Attached Files? file icon _tags [^] (40 bytes) 2010-10-05 11:27 [Show Content]
? file icon myocamlbuild.ml [^] (129 bytes) 2010-10-05 11:27 [Show Content]
? file icon other.ml [^] (31 bytes) 2010-10-05 11:28 [Show Content]
? file icon source.ml [^] (20 bytes) 2010-10-05 11:28 [Show Content]

- Relationships

-  Notes
(0005672)
ygrek (reporter)
2010-10-05 09:26

Yes, it executes in a separate build directory. Simply mark the included file as a dependency in a ocamlbuild plugin and it will copy dependencies to the proper place.
(0005673)
xclerc (reporter)
2010-10-05 11:26

Confirming the advice given by ygrek by attaching some files demonstrating how it could be done
("_tags", "myocamlbuild.ml", "source.ml", and "other.ml").
(0005674)
xclerc (reporter)
2010-10-05 11:30

My understanding is that, given the elements above, the issue could be closed.
(0005676)
yziquel (reporter)
2010-10-07 04:18

Sure, it can be closed.

- Issue History
Date Modified Username Field Change
2010-10-05 01:29 yziquel New Issue
2010-10-05 09:26 ygrek Note Added: 0005672
2010-10-05 11:26 xclerc Note Added: 0005673
2010-10-05 11:27 xclerc File Added: _tags
2010-10-05 11:27 xclerc File Added: myocamlbuild.ml
2010-10-05 11:28 xclerc File Added: other.ml
2010-10-05 11:28 xclerc File Added: source.ml
2010-10-05 11:30 xclerc Note Added: 0005674
2010-10-05 11:30 xclerc Assigned To => xclerc
2010-10-05 11:30 xclerc Status new => feedback
2010-10-07 04:18 yziquel Note Added: 0005676
2010-10-07 09:06 xclerc Status feedback => closed
2010-10-07 09:06 xclerc Resolution open => no change required
2012-02-02 15:17 protz Category OCamlbuild => OCamlbuild (the tool)
2017-02-23 16:34 doligez Category OCamlbuild (the tool) => for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]
2017-02-23 16:44 doligez Category for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^] => -for ocamlbuild use https://github.com/ocaml/ocamlbuild/issues [^]


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker